Create or Update Transform – Media API – MediaKind
Create or Update Transform
put https://app.mk.io/api/v1/projects/:project_name/media/transforms/:transform_name
Create or Updates a new Transform.
RBAC Capability Required: ams.transform.create or ams.transform.update
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_name string Required
description string Optional <= 1024 characters
The description of the Transform.
outputs list of objects TransformOutput Required
An array of TransformOutputs that the Transform should generate. Currently limited to one.
Request
This endpoint expects an object.
properties object TransformPutProperties Required
The properties of the Transform
- onError enum Optional
Defines what the service should do when one output fails. Continue to produce other outputs, or stop processing.
Allowed values: ContinueJob StopProcessingJob
preset object Required
Preset that describes the operations that will be used to modify, transcode, or extract insights from the source file to generate the output.
Discriminated by @odata.type. Select one variant:
Microsoft.Media.BuiltInStandardEncoderPreset object BuiltInStandardEncoderPreset
@odata.type string Required
The discriminator for derived types.
advancedSettingsName string Optional
Name of the advanced settings configuration to apply to this transform's config.
presetName string Required
The built-in preset to be used for encoding videos. Options include:
- H264SingleBitrateSD
- H264SingleBitrate720p
- H264SingleBitrate1080p
- H264MultipleBitrateSD
- H264MultipleBitrate720p
- H264MultipleBitrate1080p
- H264MultipleBitrateSDWithCVQ
- H264MultipleBitrate720pWithCVQ
- H264MultipleBitrate1080pWithCVQ
- H265SingleBitrate720p
- H265SingleBitrate1080p
- H265SingleBitrate4K
- AACGoodQualityAudio
MediaKind.BuiltInAssetConverterPreset object BuiltInAssetConverterPreset
@odata.type string Required
The discriminator for derived types.
presetName enum Required
The built-in preset to be used for performing asset conversion.
Allowed values: CopyTopBitrateInterleaved CopyAllBitrateNonInterleaved CopyAllBitrateInterleaved
MediaKind.ThumbnailGeneratorPreset object ThumbnailGeneratorPreset
@odata.type string Required
The discriminator for derived types.
baseFilename string Optional <= 64 characters pattern: ^[A-Za-z0-9_-]+$
Used to create the output filename as {BaseFilename}_{Label}{Index}{Extension}.
thumbnails list of objects ThumbnailGeneratorConfiguration Required 1+ items
The set of thumbnails to be produced.
format enum Required
The output format for the thumbnails.
Allowed values: Jpeg Png
lastModified string Optional
The last modified date and time of the Transform. Set by the system.
Response
200 Transform was updated
id string Optional
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
Errors
400 Bad Request
error object ErrorDetail Required
Pertinent information about the error
codes string Required
detail string Required